Bug 115834 - Evolution crashes after clicking the "answer mail" button
Summary: Evolution crashes after clicking the "answer mail" button
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: i386 Linux
medium
high
Target Milestone: ---
Assignee: Dave Malcolm
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-02-16 16:07 UTC by Jan Röhrich
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-07-14 19:50:39 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch for a bug in the german translation (853 bytes, patch)
2004-03-13 17:08 UTC, Peter Jentsch
no flags Details | Diff

Description Jan Röhrich 2004-02-16 16:07:34 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040115 Epiphany/1.0.7

Description of problem:
My evolution crashes right after trying to answer a mail. I newly
installed Fedora Core 2 Test 1, no update, on a plain home directory
and added 2 IMAP mailaccounts, one which uses SSL in both directions.

If I try to start evolution from the console, it produces the
following output right before crashing:

asked to activate component_id
`OAFIID:GNOME_Evolution_Addressbook_SelectNames:1.5'
 
(evolution:2603): EBook-CRITICAL **: file eab-book-util.c: line 85
(eab_name_and_email_query): assertion `book && E_IS_BOOK (book)' failed
 
(gnome_segv2:2623): GLib-CRITICAL **: file gstrfuncs.c: line 2129
(g_strsplit): assertion `string != NULL' failed
 
(gnome_segv2:2623): GLib-CRITICAL **: file gstrfuncs.c: line 2241
(g_strjoinv): assertion `str_array != NULL' failed


Version-Release number of selected component (if applicable):
evolution-1.5.3-1

How reproducible:
Always

Steps to Reproduce:
1. Start evolution
2. try to answer a mail
3. see it crashing
    

Actual Results:  it crashes

Expected Results:  I want to see some kind of editor for answering
mail :-)

Additional info:

Comment 1 Peter Jentsch 2004-03-13 17:07:20 UTC
After looking around in em-utils.c, I found this might be a
translation bug. 
In em-utils.c, there's a format string like this: "%a, %Y-%m-%d at
%H:%M %%+05d, %%s wrote:"
The german translation swaps the %%s and %%+05d

The failed eab_utils assertion seems unrelated to this, but also
doesn't seem to do any ill. 

Fixing the german translation fixed the bug for me.

Comment 2 Peter Jentsch 2004-03-13 17:08:11 UTC
Created attachment 98513 [details]
Patch for a bug in the german translation

Comment 3 Dave Malcolm 2004-07-14 19:50:39 UTC
Fixed in upstream CVS; latest Rawhide version has the fix.


Note You need to log in before you can comment on or make changes to this bug.